Skip to main content
POST
Create Pay-In Deposit Wallet

Authorizations

X-API-KEY
string
header
required
X-API-Nonce
string
header
required
X-API-Signature
string
header
required

Path Parameters

account_ref
string
required

Merchant-defined virtual account reference

Body

application/json

Deposit address request (reference, chain_id, optional currency, optional deposit_splits)

chain_id
integer

Chain ID for the deposit wallet.

Example:

8453

currency
string

Optional currency symbol for the deposit wallet.

Example:

"USDC"

deposit_splits
object[]

Optional deposit split configuration for this pay-in wallet.

reference
string

Customer or external reference used to identify the pay-in sub-account.

Example:

"customer-123"

Response

OK

data
object

Response payload when the request succeeded.

error
boolean

True when the request failed.

message
string

Human-readable status or error message.